// To parse this JSON data, do
//
//     final mapCoordinatePoint = mapCoordinatePointFromJson(jsonString);

import 'dart:convert';

MapCoordinatePoint mapCoordinatePointFromJson(String str) =>
    MapCoordinatePoint.fromJson(json.decode(str));

String mapCoordinatePointToJson(MapCoordinatePoint data) =>
    json.encode(data.toJson());

class MapCoordinatePoint {
  double x;
  double y;

  MapCoordinatePoint({
    required this.x,
    required this.y,
  });

  factory MapCoordinatePoint.fromJson(Map<String, dynamic> json) =>
      MapCoordinatePoint(
        x: json["x"]?.toDouble(),
        y: json["y"]?.toDouble(),
      );

  Map<String, dynamic> toJson() => {
        "x": x,
        "y": y,
      };
}
